# Uses of Class
org.apache.lucene.benchmark.byTask.tasks.PerfTask

Packages that use PerfTask
Package
Description
org.apache.lucene.benchmark.byTask.stats
Statistics maintained when running benchmark tasks.
org.apache.lucene.benchmark.byTask.tasks
Extendable benchmark tasks.
org.apache.lucene.benchmark.byTask.utils
Utilities used for the benchmark, and for the reports.

## Uses of PerfTask in org.apache.lucene.benchmark.byTask.stats

Methods in org.apache.lucene.benchmark.byTask.stats that return PerfTask
Modifier and Type
Method
Description
`PerfTask`
TaskStats.`getTask()`
Methods in org.apache.lucene.benchmark.byTask.stats with parameters of type PerfTask
Modifier and Type
Method
Description
`TaskStats`
Points.`markTaskStart(PerfTask task, int round)`
Mark that a task is starting.

## Uses of PerfTask in org.apache.lucene.benchmark.byTask.tasks

Subclasses of PerfTask in org.apache.lucene.benchmark.byTask.tasks
Modifier and Type
Class
Description
`class`
`AddDocTask`
Add a document, optionally of a certain size.
`class`
`AddFacetedDocTask`
Add a faceted document.
`class`
`AddIndexesTask`
Adds an input index to an existing index, using `IndexWriter.addIndexes(Directory...)` or `IndexWriter.addIndexes(CodecReader...)`.
`class`
`AnalyzerFactoryTask`
Analyzer factory construction task.
`class`
`ClearStatsTask`
Clear statistics data.
`class`
`CloseIndexTask`
Close index writer.
`class`
`CloseReaderTask`
Close index reader.
`class`
`CloseTaxonomyIndexTask`
Close taxonomy index.
`class`
`CloseTaxonomyReaderTask`
Close taxonomy reader.
`class`
`CommitIndexTask`
Commits the IndexWriter.
`class`
`CommitTaxonomyIndexTask`
Commits the Taxonomy Index.
`class`
`ConsumeContentSourceTask`
Consumes a `ContentSource`.
`class`
`CreateIndexTask`
Create an index.
`class`
`CreateTaxonomyIndexTask`
Create a taxonomy index.
`class`
`FlushIndexTask`
Flush Index Task uses flushNextBuffer() to flush documents at thread level
`class`
`ForceMergeTask`
Runs forceMerge on the index.
`class`
`NearRealtimeReaderTask`
Spawns a BG thread that periodically (defaults to 3.0 seconds, but accepts param in seconds) wakes up and asks IndexWriter for a near real-time reader.
`class`
`NewAnalyzerTask`
Create a new `Analyzer` and set it in the getRunData() for use by all future tasks.
`class`
`NewCollationAnalyzerTask`
Task to support benchmarking collation.
`class`
`NewLocaleTask`
Set a `Locale` for use in benchmarking.
`class`
`NewRoundTask`
Increment the counter for properties maintained by Round Number.
`class`
`OpenIndexTask`
Open an index writer.
`class`
`OpenReaderTask`
Open an index reader.
`class`
`OpenTaxonomyIndexTask`
Open a taxonomy index.
`class`
`OpenTaxonomyReaderTask`
Open a taxonomy index reader.
`class`
`PrintReaderTask`
Opens a reader and prints basic statistics.
`class`
`ReadTask`
Read index (abstract) task.
`class`
`ReadTokensTask`
Simple task to test performance of tokenizers.
`class`
`ReopenReaderTask`
Reopens IndexReader and closes old IndexReader.
`class`
`RepAllTask`
Report all statistics with no aggregations.
`class`
`ReportTask`
Report (abstract) task - all report tasks extend this task.
`class`
`RepSelectByPrefTask`
Report by-name-prefix statistics with no aggregations.
`class`
`RepSumByNameRoundTask`
Report all statistics grouped/aggregated by name and round.
`class`
`RepSumByNameTask`
Report all statistics aggregated by name.
`class`
`RepSumByPrefRoundTask`
Report all prefix matching statistics grouped/aggregated by name and round.
`class`
`RepSumByPrefTask`
Report by-name-prefix statistics aggregated by name.
`class`
`ResetInputsTask`
Reset inputs so that the test run would behave, input wise, as if it just started.
`class`
`ResetSystemEraseTask`
Reset all index and input data and call gc, erase index and dir, does NOT clear statistics.
`class`
`ResetSystemSoftTask`
Reset all index and input data and call gc, does NOT erase index/dir, does NOT clear statistics.
`class`
`RollbackIndexTask`
Rollback the index writer.
`class`
`SearchTask`
Search task.
`class`
`SearchTravRetHighlightTask`
Search and Traverse and Retrieve docs task.
`class`
`SearchTravRetLoadFieldSelectorTask`
Search and Traverse and Retrieve docs task using a FieldVisitor loading only the requested fields.
`class`
`SearchTravRetTask`
Search and Traverse and Retrieve docs task.
`class`
`SearchTravTask`
Search and Traverse task.
`class`
`SearchWithCollectorTask`
Does search w/ a custom collector
`class`
`SearchWithSortTask`
Does sort search on specified field.
`class`
`SetPropTask`
Set a performance test configuration property.
`class`
`TaskSequence`
Sequence of parallel or sequential tasks.
`class`
`UpdateDocTask`
Update a document, using IndexWriter.updateDocument, optionally with of a certain size.
`class`
`WaitTask`
Simply waits for the specified (via the parameter) amount of time.
`class`
`WarmTask`
Warm reader task: retrieve all reader documents.
`class`
`WriteEnwikiLineDocTask`
A `WriteLineDocTask` which for Wikipedia input, will write category pages to another file, while remaining pages will be written to the original file.
`class`
`WriteLineDocTask`
A task which writes documents, one line per document.
Methods in org.apache.lucene.benchmark.byTask.tasks that return PerfTask
Modifier and Type
Method
Description
`protected PerfTask`
PerfTask.`clone()`
Methods in org.apache.lucene.benchmark.byTask.tasks that return types with arguments of type PerfTask
Modifier and Type
Method
Description
`ArrayList<PerfTask>`
TaskSequence.`getTasks()`
Methods in org.apache.lucene.benchmark.byTask.tasks with parameters of type PerfTask
Modifier and Type
Method
Description
`void`
TaskSequence.`addTask(PerfTask task)`

## Uses of PerfTask in org.apache.lucene.benchmark.byTask.utils

Methods in org.apache.lucene.benchmark.byTask.utils that return types with arguments of type PerfTask
Modifier and Type
Method
Description
`ArrayList<PerfTask>`
Algorithm.`extractTasks()`
Expert: for test purposes, return all tasks participating in this algorithm.